VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CollectionRibuim"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Collection" ,"Ribua"
Attribute VB_Ext_KEY = "Member0" ,"Ribua"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
' ===========================================
' Boulder Dash Game !
'    version 2.00
'
' The task of this game is to collect diamonds
' and avoid ugly butter-flies. You have dodge
' around stones, and make sure they do not fall
' on you. Can play alone or two player game.
' Second player can be on another computer
'  TCP/IP via Internet or LAN
' (Previous Direct cable connection version is available separatly).

'
' This code is free to use for any purpose,
' you should keep the original copyright:
'
' Copyright (C) 2003 Free Code
' http://www.emu8086.com/vb/
'
' For comments: info@emu8086.com
' ===========================================
'
' Check for an update here:
'
'  http://www.emu8086.com/vb/
'
'
Option Explicit

'local variable to hold collection
Private mCol As Collection

'OP1' - memory optimization (14-NOV-2001)

Public Function Add(ID As String, placeX As Integer, placeY As Integer, ByRef theFORM As Form) As Ribua
    'create a new object
    Dim objNewMember As Ribua
    Set objNewMember = New Ribua


    
    Dim Key As String
    Key = placeX & "," & placeY
    
    'OP1'
    '       seems to be used only in editor:
    '              theFORM.rib(k).Tag = Key
    
    'OP1'theFORM.rib(k).Left = placeX * 32 + theFORM.rib(0).Left
    'OP1'theFORM.rib(k).Top = placeY * 32 + theFORM.rib(0).Top
    'OP1'theFORM.rib(k).Visible = True
        
    'OP1'Set objNewMember.Tmuna = theFORM.rib(k)

    ' getting default image size from frmDATA:
    objNewMember.pixelX = placeX * frmDATA.picEven.Width
    objNewMember.pixelY = placeY * frmDATA.picEven.Height
    
    Set objNewMember.gameFIELD = theFORM.picFIELD
'''--=-=

    'set the properties passed into the method
    objNewMember.ID = ID
    objNewMember.placeX = placeX
    objNewMember.placeY = placeY
    

       
    mCol.Add objNewMember, Key

    'return the object created
    Set Add = objNewMember
    Set objNewMember = Nothing

End Function

Public Property Get item(vntIndexKey As Variant) As Ribua
    'used when referencing an element in the collection
    'vntIndexKey contains either the Index or Key to the collection,
    'this is why it is declared as a Variant
    'Syntax: Set foo = x.Item(xyz) or Set foo = x.Item(5)
  Set item = mCol(vntIndexKey)
End Property


Public Property Get Item2D(X As Integer, Y As Integer) As Ribua
Attribute Item2D.VB_UserMemId = 0
  Dim vntIndexKey As Variant
  vntIndexKey = X & "," & Y
  Set Item2D = mCol(vntIndexKey)
End Property


Public Property Get Count() As Long
    'used when retrieving the number of elements in the
    'collection.
    Count = mCol.Count
End Property


Public Sub Remove(vntIndexKey As Variant)
    'used when removing an element from the collection
    'vntIndexKey contains either the Index or Key, which is why
    'it is declared as a Variant
    'Syntax: x.Remove(xyz)


    mCol.Remove vntIndexKey
End Sub


Public Property Get NewEnum() As IUnknown
Attribute NewEnum.VB_UserMemId = -4
Attribute NewEnum.VB_MemberFlags = "40"
    'this property allows you to enumerate
    'this collection with the For...Each syntax
    Set NewEnum = mCol.[_NewEnum]
End Property


Private Sub Class_Initialize()
    'creates the collection when this class is created
    Set mCol = New Collection
End Sub


Private Sub Class_Terminate()
    'destroys collection when this class is terminated
    Set mCol = Nothing
End Sub

